/*
 * $Id: Version.java 5837 2023-10-05 19:58:26Z carsten $
 *
 * Copyright 2010 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po;

/**
 * Reine Info-Klasse, deren Attribute vor dem Build ersetzt werden.
 * @author (c) 2012 - Carsten Moeller - info@osm2po
 */
public class Version {

    private final static String __name__ = "osm2po-core";
    private final static String __version__ = "5.5.11";
    private final static String __licence__ = "free";
    private final static String __created__ = "202402241351";

    private Version() {/*STATIC*/}

    public static String getVersion() {
        return __version__;
    }

    public static String getName() {
        return __name__;
    }

    public static String getLicence() {
        return __licence__;
    }

    public static String getCreated() {
        return __created__;
    }
}
