package de.cm.osm2po.converter;

import de.cm.osm2po.Config;

/**
 * Interface fuer alle Klassen, die an der eigentlichen
 * Konvertierungskette teilnehmen bzw. workDir-Based
 * gestartet werden koennen.
 * 
 * @see Joiner
 * @see Segmenter
 * @see Compressor
 * @see Merger
 * 
 * @author (c) 2014 - Carsten Moeller, info@osm2po.de
 */
public interface Processor {
    void init(Config config);
    void run();
    void close();
}