/*
 * $Id: LogWriterAdapter.java 4561 2017-11-15 15:14:00Z carsten $
 *
 * Copyright 2011 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.logging;

import de.cm.osm2po.Config;

/**
 * Ein {@link LogWriter}, der nix loggt.
 * @author (c) 2017 - Carsten Moeller, info@osm2po.de
 */
public class LogWriterAdapter implements LogWriter {
    @Override public LogWriter open(Config config, int index) {return this;}
    @Override public void log(String message, int logLevel) {}
	@Override public LogWriter setLogLevel(int logLevel) {return this;}
	@Override public int getLogLevel() {return Log.LEVEL_NULL;}
    @Override public void close() {}
}
