/*
 * $Id: OsmObjectTagged.java 5291 2021-05-12 13:02:17Z carsten $
 *
 * Copyright 2015 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.model;

import de.cm.osm2po.primitives.VarString;

/**
 * Erweitert {@link OsmObject} um die Eigenschaft
 * weiterer Tags.
 *
 * @author (c) 2021 - Carsten Moeller - info@osm2po.de
 * @see OsmObject
 */
public interface OsmObjectTagged extends OsmObject {
    /** @return {@link String} Weitere Tags */
    VarString getTags();
}
