/*
 * $Id: Swappable.java 3879 2015-08-01 18:26:58Z cmindividual $
 *
 * Copyright 2010 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.primitives;

/**
 * Klassen, die dieses Interface implementieren sind sortierbare
 * Container (meistens Arrays) und bieten die Option, Positionen
 * von Werten ueber i und j Index zu tauschen.
 *  
 * @author (c) 2012 - Carsten Moeller - info@osm2po
 */
public interface Swappable {
    /**
     * Tauscht zwei Werte in einem Array.
     * @param i long Tausch Index 1
     * @param j long Tausch Index 2
     */
    void swap(long i, long j);
}
