package de.cm.osm2po.misc;

import de.cm.osm2po.Config;
import de.cm.osm2po.primitives.InStream;
import de.cm.osm2po.primitives.InStreamDisk;
import de.cm.osm2po.primitives.Var;
import de.cm.osm2po.primitives.VarTypeDesk;

public class Debug {

    public static void dump2poFile(Config config) throws Exception {

        InStream inStream = new InStreamDisk(config.getFiles().get(0));
        byte varType = inStream.readByte();
        Var<?> var = VarTypeDesk.newInstanceOf(varType);
        int i = 0;
        while (!inStream.isEof()) {
            System.out.println("[" + (i++) + "] " +  var.readFromStream(inStream));
        }
        inStream.close();
    }
    
}
