/*
 * $Id: Concatenable.java 2095 2013-01-30 14:53:32Z carsten $
 *
 * Copyright 2012 - Carsten Moeller Software
 * All rights reserved.
 * Use is subject to license terms.
 */

package de.cm.osm2po.primitives;

import java.io.File;

/**
 * Klassen, die dieses Interface implementieren,
 * erlauben das Anfuegen von Binaerdaten.
 * @author (c) 2012 - Carsten Moeller - info@osm2po
 */
public interface Concatenable {
    /**
     * Fuegt eine Datei binaer an.
     * @param file {@link File}
     * @param skip long, 0 = Datei-Anfang der Quelldatei.
     */
    void concatFile(File file, long skip);
}
