@ECHO OFF
SETLOCAL

SET PREFIX=hh
SET SOURCE=http://download.geofabrik.de/europe/germany/hamburg-latest.osm.pbf

IF EXIST %PREFIX%\%PREFIX%_2po.gph (
  ECHO Graph %PREFIX%\%PREFIX%_2po.gph already built. Just starting it.
  java -Xmx1g -jar osm2po-core-5.5.11-signed.jar prefix=%PREFIX% cmd=r desktop
) ELSE (
  java -Xmx1g -jar osm2po-core-5.5.11-signed.jar prefix=%PREFIX% tileSize=x %SOURCE% postp.0.class=de.cm.osm2po.plugins.postp.PgRoutingWriter desktop
)
